
#
# another test driver for the Account class
#
# author: David Mathias
#

from account import Account
from evil_account import EvilAccount
from eviler_account import EvilerAccount
from more_eviler_account import MoreEvilerAccount

def main():
    
    print('Creating accounts checking and savings.\n')
    checking = Account('David', 50000)
    credit_union = EvilAccount('Zack', 1000, 1.25)
    savings = EvilerAccount('David', 1000000, 1.1)
    
    print(savings.inquiry())
    savings.deposit(100)
    print(savings.inquiry())
    
    savings.withdraw(100)
    print(savings.inquiry())

if __name__ == '__main__':
    main()
