
#
# A simple class to demonstrate Python class basics
#
# author: David Mathias
#

from random import randint
from account import Account

class EvilAccount(Account):

    # create instance variables and initialize values
    def __init__(self, name, balance, ef):
        print('In EvilAccount __init__')
        super().__init__(name, balance)
        self.evil_factor = ef
            
    def inquiry(self):
        print('In EvilAccount inquiry')
        if randint(0, 4) == 1:
            return self.balance * self.evil_factor
        else:
            return self.balance
    