
#
# A simple class to demonstrate Python class basics
#
# author: David Mathias
#

from random import randint
from account import Account
from evil_account import EvilAccount
from deposit_charge import DepositCharge
from withdraw_charge import WithdrawCharge

class MoreEvilerAccount(EvilAccount, DepositCharge, WithdrawCharge):

    def deposit(self, dep):
        print('In MoreEvilerAccount deposit')
        self.deposit_fee()
        super().deposit(dep)

        
    def withdraw(self, amt):
        print('In MoreEvilerAccount withdraw')
        self.withdraw_fee()
        super().withdraw(amt)
